/*********************************************************/
//	NkILSampleSet1Dlg.h
//		Header file of ImageInfo dialog(Settings1 dialog) class.
//
//	Copyright(c) 2007, Nikon Corporation - All rights reserved.
/*********************************************************/

#pragma once
#include "afxcmn.h"
#include "afxwin.h"
#include "NkImageLibCtrl.h"
#include "NkILSampleDoc.h"

#define  MAX_PATH	260
class CNkILSampleSet1Dlg : public CDialog
{
	DECLARE_DYNAMIC(CNkILSampleSet1Dlg)

public:
	CNkILSampleSet1Dlg(CWnd* pParent = NULL);		// constract
	virtual ~CNkILSampleSet1Dlg();

	// dialog data
	enum { IDD = IDD_DIALOG_SET1 };

	bool			InitParameter( NkIL_ImageInfo StrInfo, unsigned long ulQuality, ILSample_OutputProfile StrProfile ); 
	void			InitSet1DlgStatus();
protected:
	virtual void	DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	afx_msg BOOL	OnInitDialog();
	afx_msg void	OnApplyImageInfo();			
	afx_msg void	OnApplyRawQuality();
	afx_msg void	OnApplyOutputProfile();
	afx_msg void	OnOrientation( UINT nID );	
	afx_msg void	OnSelectProfile();		
	afx_msg void	OnKillFocusEdit( UINT nID );
	afx_msg void	OnUpdateEdit( UINT nID );

	DECLARE_MESSAGE_MAP()

	void			OnCancel();
	void			InitComboString( UINT nComboID, UINT nFirstParamID, int nParamNum );
	BOOL			PreTranslateMessage(MSG* pMsg);

	CWnd*					m_pParent;				// pointer of owner window

	NkIL_ImageInfo			m_StrInfo;
	ILSample_OutputProfile	m_StrProfile;
	long					m_lRotate;				// orientation	
	unsigned long			m_ulQuality;	
	bool					m_bFlip;	
};
